diff tests/test-profile @ 8023:fd9debb3ea1b

profiling: Adding a profiling.format config variable Allows defining other output formats for profiling. If an invalid format is given, output a warning and ignore it. For now, only the standard 'text' value is supported.
author Nicolas Dumazet <nicdumz.commits@gmail.com>
date Thu, 02 Apr 2009 16:01:30 +0900
parents 4f3fdfaa3874
children 9a1b86cfd29e
line wrap: on
line diff
--- a/tests/test-profile	Wed Apr 08 14:19:41 2009 +0200
+++ b/tests/test-profile	Thu Apr 02 16:01:30 2009 +0900
@@ -15,4 +15,7 @@
         || echo --profile + output to file failed
     grep CallCount < ../out > /dev/null \
         || echo wrong --profile output when saving to a file
+
+    hg --profile --config profiling.format=text st 2>&1 \
+        | grep CallCount > /dev/null || echo --profile format=text failed
 fi